import { EventEmitter, OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { MyAppListService } from '../app-list/my-app-list.service';
import { AppListDto } from '../../public-api';
import { CommonLibConfigurationService } from '../../public-api';
import * as i0 from "@angular/core";
export declare class QrdialogComponent implements OnInit {
    dialogRef: MatDialogRef<QrdialogComponent>;
    private myAppListService;
    private commonLibConfig;
    appListDto: AppListDto;
    constructor(dialogRef: MatDialogRef<QrdialogComponent>, myAppListService: MyAppListService, commonLibConfig: CommonLibConfigurationService);
    close: EventEmitter<void>;
    viewWebAppUrl: string;
    ngOnInit(): void;
    downloadAndroidApp(): void;
    downloadIOSApp(): void;
    CloseDialog(): void;
    viewSubmissions(): void;
    fetchAppDetails(appVersionId: any): void;
    onViewSubmissionClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<QrdialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<QrdialogComponent, "app-qrdialog", never, { "appListDto": "appListDto"; }, { "close": "close"; }, never, never>;
}
